Do I need to download Java?


Some features in Blackboard pack require your browser to be configured to use a supported Java plugin.


The Java plug-ins are part of the Sun Microsystems™ Java Runtime Environment (JRE) installation packages, which can be downloaded from Blackboard 8 supports the following JRE versions but we recommend that you use the most recent Blackboard-certified version:

• 1.3.1 on Mac OS operating system software only
• 1.4.2_x
• 1.5.0_04 and higher
• 1.6.0

Click Here to verify which version of Java is currently installed on your computer.

If you are at a computer that requires you to have "Administrator Rights" and you do not have these rights, you can contact the network manager for your department and request that your Java be made compatible with Blackboard 7.3.

There have been numerous customers using Blackboard that report issues when they have multiple versions of Java installed on the same computer. For step-by-step instructions on how to find out if you have multiple versions of Java installed and how to correct this problem, follow the steps below. You may wish to download and print the Adobe pdf instructions so that you can follow along:

  1. Click on "Start" and then "Control Panel".

  1. Double-click Add/Remove Programs
  2. Locate all versions of Sun Java, JRE, or JVM

  1. Click on each version of Java listed, one at a time. (see “Example of several versions of Java listed under Add/Remove” below for an example of some of the versions you may see in your list).

  1. Click "Remove" and follow the onscreen instructions to uninstall all but the newest version of Java

Example of several versions of Java listed under Change/Remove in step #4 above.